weka.knowledgeflow.steps

## Class ClassAssigner

- java.lang.Object
- - weka.knowledgeflow.steps.BaseStep
  - - weka.knowledgeflow.steps.ClassAssigner

- All Implemented Interfaces:
    java.io.Serializable, BaseStepExtender, Step

      @KFStep(name="ClassAssigner",
              category="Evaluation",
              toolTipText="Designate which column is to be considered the class column in incoming data.",
              iconPath="weka/gui/knowledgeflow/icons/ClassAssigner.gif")
      public class ClassAssigner
      extends BaseStep

  Knowledge Flow step for assigning a class attribute in incoming data
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassAssigner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassColumn()` Get the class column to use
    `java.lang.String` | `getCustomEditorForStep()` Get the custom editor for this step
    `java.util.List<java.lang.String>` | `getIncomingConnectionTypes()` Get the incoming connections that this step can accept at this time
    `java.util.List<java.lang.String>` | `getOutgoingConnectionTypes()` Get the outgoing connection types that this step can produce at this time
    `Instances` | `outputStructureForConnectionType(java.lang.String connectionName)` Return the structure of data output by this step for a given incoming connection type
    `void` | `processIncoming(Data data)` Process incoming data
    `void` | `setClassColumn(java.lang.String col)` Set the class column to use
    `void` | `stepInit()` Initialize the step prior to execution

    - ### Methods inherited from class weka.knowledgeflow.steps.BaseStep

      `environmentSubstitute, getDefaultSettings, getInteractiveViewers, getInteractiveViewersImpls, getName, getStepManager, globalInfo, isResourceIntensive, isStopRequested, setName, setStepIsResourceIntensive, setStepManager, setStepMustRunSingleThreaded, start, stepMustRunSingleThreaded, stop`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassAssigner

          public ClassAssigner()

  - ### Method Detail

    - #### setClassColumn

          public void setClassColumn(java.lang.String col)

      Set the class column to use
      Parameters:
        `col` - the class column to use

    - #### getClassColumn

          public java.lang.String getClassColumn()

      Get the class column to use
      Returns:
        the class column to use

    - #### stepInit

          public void stepInit()
                        throws WekaException

      Initialize the step prior to execution
      Throws:
        `WekaException` - if a problem occurs

    - #### processIncoming

          public void processIncoming(Data data)
                               throws WekaException

      Process incoming data
      Specified by:
        `processIncoming` in interface `BaseStepExtender`
      Specified by:
        `processIncoming` in interface `Step`
      Overrides:
        `processIncoming` in class `BaseStep`
      Parameters:
        `data` - the data to process
      Throws:
        `WekaException` - if a problem occurs

    - #### getIncomingConnectionTypes

          public java.util.List<java.lang.String> getIncomingConnectionTypes()

      Get the incoming connections that this step can accept at this time
      Returns:
        a list of incoming connection types that can be accepted

    - #### getOutgoingConnectionTypes

          public java.util.List<java.lang.String> getOutgoingConnectionTypes()

      Get the outgoing connection types that this step can produce at this time
      Returns:
        a list of outgoing connections that can be produced

    - #### outputStructureForConnectionType

          public Instances outputStructureForConnectionType(java.lang.String connectionName)
                                                     throws WekaException

      Return the structure of data output by this step for a given incoming connection type
      Specified by:
        `outputStructureForConnectionType` in interface `Step`
      Overrides:
        `outputStructureForConnectionType` in class `BaseStep`
      Parameters:
        `connectionName` - the incoming connection type
      Returns:
        the structure (header-only instances) of the output
      Throws:
        `WekaException` - if a problem occurs

    - #### getCustomEditorForStep

          public java.lang.String getCustomEditorForStep()

      Get the custom editor for this step
      Specified by:
        `getCustomEditorForStep` in interface `Step`
      Overrides:
        `getCustomEditorForStep` in class `BaseStep`
      Returns:
        the fully qualified class name of the clustom editor for this step